<?php

class PayshopUpdateAlertClose
{
    /**
     * Class constructor
     */
    public function __construct() {
        add_action('wp_ajax_payshop_update_alert_close', [$this, 'execute']);
    }

    /**
     * Update last time that the alert was closed
     *
     * @return void
     */
    public function execute()
    {
        if (!wp_verify_nonce($_POST['nonce'], 'payshop_update_alert_close')) {
            wp_send_json_error();
            wp_die();
        }

        update_option('PAYSHOP_LAST_CLOSED_ALERT_UPDATE_DATE', date('Y-m-d H:i'));
    }
}