<?php

class PayshopAddHeaders
{
    /**
     * Create payment confirmation metabox
     * 
     * @return void
     */
    public function __construct()
    {
        add_action('send_headers', [$this, 'addHeaders']);
    }

    /**
     * Add metabox
     * 
     * @return void
     */
    public function addHeaders()
    {
        if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on') {
            header('Strict-Transport-Security: max-age=31536000');
        }
    }
}