<?php

if (!defined('ABSPATH')) {
    exit;
}

?>

<div id="message" class="notice <?= esc_attr($type); ?> is-dismissible">
    <div class="payshop-alert-frame">
        <div class="payshop-right-alert">
            <p><?= $message; ?></p>

        </div>
    </div>
    <button type="button" class="notice-dismiss" id="notice-dismiss-payshop">
        <span class="screen-reader-text">
            <?php
            echo esc_html_e('Discard', 'payshop');
            ?>
        </span>
    </button>
</div>

<script>
    jQuery(document).ready(function($) {
        $('#notice-dismiss-payshop').on('click', function() {
            $(this).parent().hide();
        });
    });
</script>

<?php if (isset($update) && $update) : ?>
    <script>
        jQuery(document).ready(function($) {
            $('#notice-dismiss-payshop').on('click', function() {
                $.ajax({
                    url: '<?= admin_url('admin-ajax.php'); ?>',
                    type: 'POST',
                    data: {
                        action: 'payshop_update_alert_close',
                        nonce: '<?= wp_create_nonce('payshop_update_alert_close'); ?>'
                    }
                });
            });
        });
    </script>
<?php endif; ?>