<?php

class PayshopLog
{
    /**
     * Logger instance
     *
     * @var WC_Logger
     */
    public static $log = false;

    /**
     * Log severity levels
     *
     * @var string
     */
    const LOG_SEVERITY_DEBUG = 'info';
    const LOG_SEVERITY_INFORMATIVE = 'info';
    const LOG_SEVERITY_NOTICE = 'notice';
    const LOG_SEVERITY_WARNING = 'warning';
    const LOG_SEVERITY_ERROR = 'error';
    const LOG_SEVERITY_CRITICAL = 'critical';
    const LOG_SEVERITY_ALERT = 'alert';
    const LOG_SEVERITY_EMERGENCY = 'alert';

    /**
     * Generate plugin logs
     *
     * @param string $message
     * @param string $level
     * @return void
     */
    public static function generate($message, $level = 'info')
    {
        if (!function_exists('wc_get_logger()')) {
            return;
        }

        if (empty(self::$log)) {
            self::$log = wc_get_logger();
        }

        self::$log->log($level, $message, array('source' => 'Payshop'));
    }
}
