<?php

class PayshopAbstractAlert
{
    /**
     * Put alert on admin panel
     * 
     * @param string $type
     * @param string $message
     * @param array $args
     * @return void
     */
    public function show($type, $message, $args = [])
    {
        add_action('admin_notices', function () use ($type, $message, $args) {
            extract($args, EXTR_SKIP);

            require PAYSHOP_PLUGIN_DIR . '/templates/views/admin/alert.php';
        });
    }
}