<?php

if (!defined('ABSPATH')) {
    exit;
}

?>

<h3>Payshop Order Details</h3>

<?php if ($paymentMethod === 'payshop_card') : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Payment in two steps', 'payshop'); ?> :</strong>
        <?= $paymentInTwoSteps === 'yes' ? __('Yes', 'payshop') : __('No', 'payshop') ?>
    </p>

    <?php if ($paymentInTwoSteps === 'yes') : ?>
        <p style="word-break: break-all; margin: 3px 0">
            <strong><?= __('Payment confirmed', 'payshop') ?>:</strong>
            <?= $paymentEffectiveValue ? __('Yes', 'payshop') : __('No', 'payshop') ?>
            <?php if ($paymentEffectiveValue) : ?>
                (
                <?= __('value', 'payshop') ?>
                <?= $paymentEffectiveValue ?> €
                )
            <?php else : ?>
                (
                <?= __('confirm payment until', 'payshop') ?>
                <?= $limiteToConfirmPayment->format('d/m/Y h:i') ?>
                )
            <?php endif; ?>
        </p>
    <?php endif; ?>
<?php endif; ?>

<?php if ($paymentOrderUUID) : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Payshop charge ID', 'payshop') ?>:</strong>
        <?= $paymentOrderUUID ?>
    </p>
<?php endif; ?>
