<?php

if (!defined('ABSPATH')) {
    exit;
}

?>

<style>
    #id-prefix-number {
        width: 80px;
        padding-left: 3px
    }

    #id-phone-number {
        width: 67%;
        min-width: 117px;
    }
</style>

<fieldset id="wc-payshop_card-cc-form" class="wc-credit-card-form wc-payment-form">
    <p class="form-row form-row-wide woocommerce-validated">
        <label for="id-phone-number"><?= __('Phone number', 'payshop') ?>&nbsp;<span class="required">*</span></label>

        <div style="display: flex;">
            <?php include ('partials/phone-prefix.php')?>
            <input id="id-phone-number" class="input-text wc-credit-card-form-card-number" inputmode="text" autocorrect="no" autocapitalize="no" spellcheck="no" type="text" data-checkout="wbwayNumber" name="phone" maxlength="19" required style="flex-grow: 1;">
        </div>
        <small id="payshop-error-phone-number" class="payshop-erro-form" data-main="#id-phone-number" style="display: none; color: #e81814;">
            <?= __('Invalid MBWay Phone Number', 'payshop') ?>
        </small>
    </p>
    <div class="clear"></div>
</fieldset>