<?php

if (!defined('ABSPATH')) {
    exit;
}

?>

<style>
    .overlap {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.9);
        z-index: 99999;
    }

    .overlap-content {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 400px;
        height: 90%;
        background: #fff;
        z-index: 999999;
        border-radius: 5px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .close-btn {
        position: absolute;
        top: 10px;
        right: 10px;
        background: transparent;
        border: none;
        font-size: 20px;
        cursor: pointer;
        z-index: 1000000;
    }

    #references-popup {
        display: none;
    }
</style>

<div>
    <div class="overlap" id="references-popup">
        <div class="overlap-content">
            <button class="close-btn" onclick="document.getElementById('references-popup').style.display='none'">X</button>
            <iframe src="<?= esc_url($iframeURL); ?>" frameborder="0" style="height: 90%; width: 400px"></iframe>
        </div>
    </div>
</div>

<script>
    (function() {
        setTimeout(() => document.getElementById('references-popup').style.display = 'block', 3000);
    })();
</script>
